#
# Conditional build:
%bcond_without	static_libs	# static library
#
Summary:	CAC (Common Access Card) library
Summary(pl.UTF-8):	Biblioteka CAC (Common Access Library) - ogólny dostęp do kart procesorowych
Name:		libcacard
Version:	2.5.3
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	https://www.spice-space.org/download/libcacard/%{name}-%{version}.tar.xz
# Source0-md5:	362a021853699008e00aaa1fecdc26c0
URL:		https://www.spice-space.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	glib2-devel >= 1:2.22
BuildRequires:	libtool >= 2:2
BuildRequires:	nss-devel >= 1:3.12.8
BuildRequires:	pcsc-lite-devel
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	glib2 >= 1:2.22
Requires:	nss >= 1:3.12.8
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This library provides emulation of smart cards to a virtual card
reader running in a guest virtual machine.

It implements DoD CAC standard with separate PKI containers
(compatible coolkey), using certificates read from NSS.

%description -l pl.UTF-8
Ta biblioteka zapewnia emulację kart procesorowych dla wirtualnego
czytnika kart działającego na maszynie wirtualnej gościa.

Implementuje standard CAC DoD z osobnymi kontenerami PKI (zgodny
coolkey) przy użyciu certyfikatów odczytywanych z NSS.

%package devel
Summary:	Header files for cacard library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki cacard
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.22
Requires:	nss-devel >= 1:3.12.8

%description devel
Header files for cacard library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki cacard.

%package static
Summary:	Static cacard library
Summary(pl.UTF-8):	Statyczna biblioteka cacard
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static cacard library.

%description static -l pl.UTF-8
Statyczna biblioteka cacard.

%prep
%setup -q

# take version from .tarball-version instead of using missing git-related script
%{__sed} -i -e '1s,build-aux/git-version-gen,tr -d "\\n" <,' configure.ac

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{?with_static_libs:--enable-static}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libcacard.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog NEWS README.md
%attr(755,root,root) %{_bindir}/vscclient
%attr(755,root,root) %{_libdir}/libcacard.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcacard.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcacard.so
%{_includedir}/cacard
%{_pkgconfigdir}/libcacard.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libcacard.a
%endif
%changelog
* Mon Mar 12 2018 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/libcacard.git;a=log;h=master

* Wed Aug 02 2017 Jakub Bogusz <qboosh@pld-linux.org> ef77b4d
- updated to 2.5.3

* Tue Dec 15 2015 Jakub Bogusz <qboosh@pld-linux.org> aef196d
- updated to 2.5.2

* Sat Nov 28 2015 Jakub Bogusz <qboosh@pld-linux.org> e3a5201
- updated to 2.5.1

* Mon Oct 05 2015 Jakub Bogusz <qboosh@pld-linux.org> 4321cbd
- fix Version in .pc file

* Fri Oct 02 2015 Jakub Bogusz <qboosh@pld-linux.org> 8fcba95
- updated to 2.5.0 (first really standalone release)
- removed obsolete sh,pcsc patches

* Tue Mar 24 2015 Elan Ruusamäe <glen@delfi.ee> 5add3e3
- x32 rebuild
- release 2 (by relup.sh)

* Sat Jul 16 2011 Jakub Bogusz <qboosh@pld-linux.org> ab6e63d
- fix pcsc pc name

* Sat Jul 16 2011 Jakub Bogusz <qboosh@pld-linux.org> 8e516ae
- BR: pkgconfig

* Sat Jul 16 2011 Jakub Bogusz <qboosh@pld-linux.org> 4ccc4d0
- new package
- sh patch to fix build with sh not being bash
- pcsc patch to fix build passthru interface (typo fix, includes fix, update for pcsc-lite 1.6+)

